trouble with gantt
2012-09-16 03:04 - Vincent Guilbert

Status: New Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: Gantt Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

i hope i report in the good place.
sorry for bad english
i have some trouble with gant work process.

i have a master task, 5, who have some sub task 8, 11, 12,...

gant_1.jpg
i have a closed task, the 11, with a due date for the same day
all other sub tasks are free of due date because date not yet fixed for the moment.
i see the due date of my main task automatically set on the due date of sub task 11, it's the start day of my main task !!!
it's a little weird when we saw it in the gant graph

the main task should be set blank due date when at least a sub task have is own due date blank

the result may be looks like this : (i cheattead on the due date of the sub task 8. i set it to due date of my rev 1.0)
same bug with my main task 3 and subs 9 and 10
i delete the due date of sub task 9
i hope this could help

Related issues:
Related to Redmine - Patch #12730: Fix sorting and PDF output of Gantt diagra... New

History

#1 - 2012-09-16 03:31 - Toshi MARUYAMA
- Subject changed from trouble with GANT to trouble with gantt

#2 - 2013-01-16 10:06 - Daniel Felix

| checked this in 2.2.1.
Currently tasks without a due date won't have any bar.

But there are some patches, which maybe also correct this one. #12730

Please take a look at them. :-)
